<!-- 会员机构管理-机构管理-机构资料管理-登录账户-停用/启用 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :refresh="refresh" :loading="loading">
        <div class="g-text-message">
            <span v-if="isActivated">{{ t('member.institution.user.login.status.message1') }}</span>
            <span v-else>{{ t('member.institution.user.login.status.message2') }}</span>
        </div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType, computed } from 'vue'
import { ElMessage } from 'element-plus'
import { updateStatusByAutoId } from '@/services/api/member'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    selectedItem: {
        type: Object as PropType<Member.Organ2UserRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const isActivated = computed(() => props.selectedItem.managerstatus === 1)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    updateStatusByAutoId({
        data: {
            autoid: props.selectedItem.autoid,
            status: isActivated.value ? 2 : 1
        }
    }).then(() => {
        ElMessage.success(t('common.tips1'))
        onCancel(true)
    }).catch((err) => {
        ElMessage.error(t('common.tips2') + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>